Bug 1740936 - Trying to remove Policy Module that isn't priority 400, just tries to remove priority 400 instead
Summary: Trying to remove Policy Module that isn't priority 400, just tries to remove ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: policycoreutils
Version: 30
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Petr Lautrbach
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-13 21:56 UTC by spam-a-lot
Modified: 2019-09-25 01:07 UTC (History)
5 users (show)

Fixed In Version: policycoreutils-2.9-5.fc31 policycoreutils-2.9-4.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-14 00:07:15 UTC
Type: Bug


Attachments (Terms of Use)
Quick fix (6.82 KB, patch)
2019-08-13 22:15 UTC, spam-a-lot
no flags Details | Diff

Description spam-a-lot 2019-08-13 21:56:48 UTC
Description of problem: When trying to remove a Policy Module with priority other than 400 via GUI, it fails when it cannot find the module with priority 400 to remove.


Version-Release number of selected component (if applicable): '2006'?


How reproducible: Worked every time for me.


Steps to Reproduce:
1. Add policy for something, I used "my-qemusystemx86", priority != 400
2. Open system-config-selinux and go to Policy Module and search for your policy
3. Click remove, it will fail as long as there isn't a priority 400 for it

Actual results: Complains about no priority 400 to remove


Expected results: Removes priority Y Policy Module


Additional info: Seems to just be calling the command "semodule -r NAME" when it should be calling "semodule -x PRIORITY -r NAME"

Comment 1 spam-a-lot 2019-08-13 22:15:30 UTC
Created attachment 1603559 [details]
Quick fix

Added the -X to the command so it now specifies the Priority when removing.

Comment 2 Fedora Update System 2019-08-29 09:27:09 UTC
FEDORA-2019-130a2b2cd6 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-130a2b2cd6

Comment 3 Fedora Update System 2019-08-29 10:41:53 UTC
FEDORA-2019-f75c1a1b26 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-f75c1a1b26

Comment 4 Fedora Update System 2019-08-30 00:04:49 UTC
policycoreutils-2.9-4.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-f75c1a1b26

Comment 5 Fedora Update System 2019-08-30 12:17:30 UTC
policycoreutils-2.9-5.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-130a2b2cd6

Comment 6 Fedora Update System 2019-09-14 00:07:15 UTC
policycoreutils-2.9-5.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2019-09-14 16:31:19 UTC
policycoreutils-2.9-5.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2019-09-25 01:07:10 UTC
policycoreutils-2.9-4.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.